Skip to content

Retrieve an ACH payment intent by ID.

GET
/payments/ach/{id}
id
required
string
Example
ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV

ACH payment intent ID

Payment intent found

ACH payment intent as returned by retrieve and list. status is the full transfer lifecycle.

object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
id
required
string
Example
ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV
livemode
required
boolean
metadata
required
object
key
additional properties
string
payment_method
required
object
account_holder_name
required
string
Example
Jane Buyer
account_holder_type
required
string
Allowed values: personal business
account_last4
required
string
Example
6789
account_type
required
string
Allowed values: checking savings
routing_number
required
string
Example
021000021
statement_descriptor
string | null
status
required
One of:

Accepted for Fed Submission. Transaction can be canceled while in this state.

object
processor_ref
One of:
null
status
required
string
Allowed values: created
submitted_at
string | null format: date-time
updated
required
integer format: int64

No such payment intent

object
error
required
object
code
required
string
message
required
string
param
string | null
retryable

When present and true, the caller may retry the same request.

boolean | null
type
required
string